Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.infobrightoutput
Class InfobrightLoaderData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.infobrightoutput.InfobrightLoaderData

All Implemented Interfaces:
  StepDataInterface

    public class InfobrightLoaderData

extends BaseStepData
implements StepDataInterface

Author:
  geoffrey.falk@infobright.com

Field Summary
`org.pentaho.di.core.row.RowMetaInterface` | `insertRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `requiredRowMeta`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`InfobrightLoaderData()` Default constructor.

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### requiredRowMeta

    public org.pentaho.di.core.row.RowMetaInterface requiredRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### insertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface insertRowMeta

Constructor Detail

### InfobrightLoaderData

    public InfobrightLoaderData()

  Default constructor. Does nothing special.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD